Create a function deployment
Requires an API key with the environment:deploy scope. Learn more about API key scopes.
Deploys a function to an existing integration: either submitted TypeScript source code (type: function) or a template from the provider catalog (type: template).
Deploys a function to an existing integration. Use type: function to deploy submitted TypeScript
source code, or type: template to deploy a template from the provider catalog. Requires an API key with the
environment:deploy scope.
bearerAuthAuthorizationBearer <token>An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.
application/json- body
type*"function"Deploy submitted function source code.
"function"integration_id*stringThe integration ID (unique_key) that you created in Tenklo.
function_name*stringThe sync or action function name.
function_type*RunnableFunctionType"action""sync"code*stringThe TypeScript source code for the function.
1 <= lengthversion?stringOptional version tag for this deployment.
allow_destructive?booleanAllow overwriting an existing standalone function with the same name.
Deployment record. status may be any of waiting, running, success, or failed. If it is not
success, poll GET /functions/deployments/{id} for the final status and details.
application/json- response
id*stringstatus*stringThe status of the function deployment. Poll GET /functions/deployments/{id} to get the final status.
"waiting""running""success""failed"created_at*stringdate-timecurl -X POST 'https://api.tenklo.dev/functions/deployments' \ -H 'Content-Type: application/json' \ -d '{ "type": "function", "integration_id": "string", "function_name": "string", "function_type": "action", "code": "string"}'{ "id": "string", "status": "waiting", "created_at": "2019-08-24T14:15:22Z"}